Package twisted :: Package internet :: Module interfaces :: Class IReactorArbitrary

[frames | no frames]

## Class IReactorArbitrary

    Interface --+
                |
               IReactorArbitrary

Method Summary
| ``connectWith`(self, connectorType, *args, **kw)` Start an instance of the given `connectorType` connecting.
| ``listenWith`(self, portType, *args, **kw)` Start an instance of the given `portType` listening.

Method Details

### connectWith(self, connectorType, *args, **kw)

Start an instance of the given `connectorType` connecting.

  Parameters:
    `connectorType` - The object given by `connectorType(*args, **kw)` will be started connecting.
    (type=type which implements `IConnector`)

### listenWith(self, portType, *args, **kw)

Start an instance of the given `portType` listening.

  Parameters:
    `portType` - The object given by `portType(*args, **kw)` will be started listening.
    (type=type which implements `IListeningPort`)

Generated by Epydoc 2.0 on Sat May 15 20:08:24 2004 | http://epydoc.sf.net